Bug 406051 - Marvell NIC using skge driver loses promiscuous mode on rewiring
Marvell NIC using skge driver loses promiscuous mode on rewiring
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
i386 Linux
low Severity high
: ---
: ---
Assigned To: Andy Gospodarek
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-30 11:12 EST by Andy Gospodarek
Modified: 2014-06-29 18:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:21:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhel5-test0.patch (1.01 KB, patch)
2007-11-30 11:15 EST, Andy Gospodarek
no flags Details | Diff

  None (edit)
Description Andy Gospodarek 2007-11-30 11:12:44 EST
+++ This bug was initially created as a clone of Bug #377611 +++

Description of problem:

This is the same bug at ticket 212399
https://bugzilla.redhat.com/show_bug.cgi?id=212399

I am running two Marvell 88E8001 NICs configured to provide a
network bridge. This works fine until the network cables are removed
for any reason. When they are put back, the bridge does not function as
the interfaces seems to have lost promiscuous mode.

Version-Release number of selected component (if applicable):

skge v1.1 in RHEL 4.5

How reproducible:

Very easily.

Steps to Reproduce:
1. Configure eth interface in promiscuous mode
2. Observe traffic
3. Remove network cables and replace
  
Actual results:

Interface is not in promiscuous mode any more.

Expected results:

Bridging and promiscuous mode should survive recabling without a
reboot.

Additional info:

-- Additional comment from pete.philips@secerno.com on 2007-11-15 04:26 EST --
I can confirm that the Fedora patch with the original ticket (
https://bugzilla.redhat.com/show_bug.cgi?id=212399#c4 ) fixes the problem. The
patch applies in three hunks, the last of which fails. It appears that the last
hunk is a patch for code which is non-existent in the RHEL 4.5 driver so doesn't
seem to be a problem. I guess this needs back porting to RHEL4.

-- Additional comment from agospoda@redhat.com on 2007-11-26 13:40 EST --
Created an attachment (id=269171)
rhel4-test0.patch

Without all of the bits included in this patch, you may have problems with
promiscuity being incorrectly set during other operations as well.

Could you try and use ethtool to set the MTU to something slightly different
while capturing frames or doing bridging with your patch and let me know the
results?

If promiscuity fails to be set correctly (as I suspect it might), this newly
attached patch may be required instead.

-- Additional comment from pete.philips@secerno.com on 2007-11-29 10:05 EST --
Hi.

From initial testing it seems that any change to MTU when using the patch from
the Fedora 5 ticket causes the bridge to stop bridging. A network restart will
get it going again. Values lower than 1500 do not work at all: a ping is
possible  but TCP traffic such as HTTP does not get through.

Using your comment #2 patch I can set MTU to >1500 with no interruption in
bridging. However I still get the same effect when trying values lower than 1500.

-- Additional comment from agospoda@redhat.com on 2007-11-29 10:52 EST --
Thanks for the update.  Thank you for confirming that the updated patch is
better than the original one.  I will work to get this included in an upcoming
update (hopefully the next one, but I can't promise anything)
Comment 1 Andy Gospodarek 2007-11-30 11:15:26 EST
Created attachment 273961 [details]
rhel5-test0.patch

upstream backport
Comment 3 RHEL Product and Program Management 2008-07-25 13:06:57 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 5 RHEL Product and Program Management 2008-07-25 15:32:40 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 6 RHEL Product and Program Management 2008-07-25 16:18:23 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Don Zickus 2008-09-11 15:41:47 EDT
in kernel-2.6.18-111.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 12 errata-xmlrpc 2009-01-20 15:21:10 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.